如何激活gcc 4.7版本?

萨什科·利琴科(Sashko Lykhenko)

我已经安装了gcc 4.6.3:

gcc --version

gcc (Ubuntu/Linaro 4.6.3-1ubuntu5) 4.6.3

我已经安装了较新的版本:

apt-get install gcc-4.7

但是当我输入时,我仍然得到结果“ gcc 4.6.3” gcc --version如何解决?

我正在使用ubuntu 12.04,我已经完成了

sudo apt-get update
sudo apt-get upgrade
拉斐尔·西耶拉克(RafałCieślak)

这是因为您同时安装了两个版本,而4.6被视为默认版本。

您可以明确选择要使用的一个。

$ gcc-4.7 --version
gcc-4.7 (Ubuntu/Linaro 4.7.2-22ubuntu4) 4.7.2
[...]

$ gcc-4.6 --version
gcc-4.6 (Ubuntu/Linaro 4.6.3-15ubuntu3) 4.6.3
[...]

gcc-4.7默认的最简单方法gcc是移动以下符号链接/usr/bin/gcc

sudo rm /usr/bin/gcc
sudo ln -s /usr/bin/gcc-4.7 /usr/bin/gcc

本文收集自互联网,转载请注明来源。

如有侵权,请联系[email protected] 删除。

编辑于
0

我来说两句

0条评论
登录后参与评论

相关文章

Related 相关文章

热门标签

归档